ARK 21Shares Bitcoin ETF

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "holding_net_change": 397.8479779736021
  },
  {
    "date": 1790726400000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790812800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "holding_net_change": -92.16351579156012
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    34346.48841131007
  ],
  [
    1790812800000,
    34347.98841131007
  ],
  [
    1790899200000,
    34256.82894185007
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    2872905153.866349
  ],
  [
    1790812800000,
    2869676883.477869
  ],
  [
    1790899200000,
    2904390904.515954
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 27.635,
    "date": "2026-09-30",
    "high": 28.365,
    "open": 28.23,
    "close": 27.69,
    "volume": 1269376
  },
  {
    "low": 27.65,
    "date": "2026-10-01",
    "high": 28.26,
    "open": 27.67,
    "close": 28.05,
    "volume": 1369289
  },
  {
    "low": 27.805,
    "date": "2026-10-02",
    "high": 28.9,
    "open": 28.72,
    "close": 27.93,
    "volume": 1562701
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 8.97,
  "six_month_return": 25.58,
  "three_month_return": 32.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ark-21shares-bitcoin-etf/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.164,
  "share_price_change_state": ""
}